/*
 * This file is part of sharing-plugin-gallery2
 *
 * Copyright (C) 2009 Heikki Kallasjoki. All rights reserved.
 * Copyright (C) 2008-2009 Nokia Corporation. All rights reserved.
 *
 * This code is licensed under a MIT-style license, that can be
 * found in the file called "COPYING" in the root directory.
 *
 */

#ifndef _GALLERY2_H_
#define _GALLERY2_H_

#include <glib.h>
#include <sharing-plugin-interface.h>
#include <sharing-account.h>
#include <sharing-transfer.h>
#include <conicconnection.h>

G_BEGIN_DECLS

SharingPluginInterfaceAccountValidateResult
gallery2_login (ConIcConnection* con,
		const gchar* urlbase, const gchar* username, const gchar* password,
		GHashTable** cookies, gchar** auth);

SharingPluginInterfaceAccountValidateResult
gallery2_lookup_album (ConIcConnection* con,
		const gchar* urlbase, const gchar* albumpath, gchar** album,
		GHashTable* cookies, gchar* auth);

SharingPluginInterfaceSendResult
gallery2_send (ConIcConnection* con,
		SharingTransfer* transfer, gdouble progress_start, gdouble progress_end, gboolean *dms,
		SharingEntryMedia* media,
		const gchar* urlbase, const gchar* album, GHashTable* cookies, gchar* auth);

G_END_DECLS

#endif // _GALLERY2_H_
